# Class: Workspaces

**`Deprecated`**

This will be removed in v18. Use [readProjectsConfigurationFromProjectGraph](../../devkit/documents/readProjectsConfigurationFromProjectGraph) instead.

## Table of contents

### Constructors

- [constructor](../../devkit/documents/Workspaces#constructor)

### Properties

- [root](../../devkit/documents/Workspaces#root): string

### Methods

- [readWorkspaceConfiguration](../../devkit/documents/Workspaces#readworkspaceconfiguration)

## Constructors

### constructor

• **new Workspaces**(`root`)

#### Parameters

| Name   | Type     |
| :----- | :------- |
| `root` | `string` |

## Properties

### root

• `Private` **root**: `string`

## Methods

### readWorkspaceConfiguration

▸ **readWorkspaceConfiguration**(): [`ProjectsConfigurations`](../../devkit/documents/ProjectsConfigurations) & [`NxJsonConfiguration`](../../devkit/documents/NxJsonConfiguration)<`string`[] \| `"*"`\>

**`Deprecated`**

Use [readProjectsConfigurationFromProjectGraph](../../devkit/documents/readProjectsConfigurationFromProjectGraph) instead.

#### Returns

[`ProjectsConfigurations`](../../devkit/documents/ProjectsConfigurations) & [`NxJsonConfiguration`](../../devkit/documents/NxJsonConfiguration)<`string`[] \| `"*"`\>
